stacker = {}
stacker[1] = 
{
	mod = 2,
	energy =
	{
		type = "electric",
		usage_priority = "secondary-input",
		emissions = 0,
	},
	energyUse = "10kW"
}
stacker[2] = 
{
	mod = 4,
	energy =
	{
		type = "electric",
		usage_priority = "secondary-input",
		emissions = 0,
	},
	energyUse = "50kW"
}
stacker[3] = 
{
	mod = 10,
	energy =
	{
		type = "electric",
		usage_priority = "secondary-input",
		emissions = 0,
	},
	energyUse = "250kW"
}
stacker.name = "stack-assembler"
stacker.speed = .25

data:extend(
{
								--------------------------STACKERS-----------------------------
	-------------BASIC STACKER
	{				------NORTH------
		type = "assembling-machine",
		name = stacker.name .. "-1-north",
		icon = "__base__/graphics/icons/assembling-machine-1.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-1-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 1 still north.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {-.01, -.16},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[1].mod,
		energy_source = stacker[1].energy,
		energy_usage = stacker[1].energyUse,
		ingredient_count = 1,
		module_slots = 0,
		allowed_effects = {"consumption", "speed"}
	},
	
	{			------SOUTH------
		type = "assembling-machine",
		name = stacker.name .. "-1-south",
		icon = "__base__/graphics/icons/assembling-machine-1.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-1-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 1 still south.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {0.02, 0.175},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[1].mod,
		energy_source = stacker[1].energy,
		energy_usage = stacker[1].energyUse,
		ingredient_count = 1,
		module_slots = 0,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------EAST------
		type = "assembling-machine",
		name = stacker.name .. "-1-east",
		icon = "__base__/graphics/icons/assembling-machine-1.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-1-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 1 still east.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {0.11, -0.01},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[1].mod,
		energy_source = stacker[1].energy,
		energy_usage = stacker[1].energyUse,
		ingredient_count = 1,
		module_slots = 0,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------WEST------
		type = "assembling-machine",
		name = stacker.name .. "-1-west",
		icon = "__base__/graphics/icons/assembling-machine-1.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-1-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 1 still west.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {-0.15, 0.025},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[1].mod,
		energy_source = stacker[1].energy,
		energy_usage = stacker[1].energyUse,
		ingredient_count = 1,
		module_slots = 0,
		allowed_effects = {"consumption", "speed"}
	},
	
	------------INDUSTRIAL STACKER------------
	{				------NORTH------
		type = "assembling-machine",
		name = stacker.name .. "-2-north",
		icon = "__base__/graphics/icons/assembling-machine-2.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-2-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 2 still north.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {-.01, -.16},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[2].mod,
		energy_source = stacker[2].energy,
		energy_usage = stacker[2].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------SOUTH------
		type = "assembling-machine",
		name = stacker.name .. "-2-south",
		icon = "__base__/graphics/icons/assembling-machine-2.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-2-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 2 still south.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {0.02, 0.175},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[2].mod,
		energy_source = stacker[2].energy,
		energy_usage =  stacker[2].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------EAST------
		type = "assembling-machine",
		name = stacker.name .. "-2-east",
		icon = "__base__/graphics/icons/assembling-machine-2.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-2-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 2 still east.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {0.11, -0.01},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[2].mod,
		energy_source = stacker[2].energy,
		energy_usage =  stacker[2].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------WEST------
		type = "assembling-machine",
		name = stacker.name .. "-2-west",
		icon = "__base__/graphics/icons/assembling-machine-2.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-2-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 2 still west.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {-0.15, 0.025},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[2].mod,
		energy_source = stacker[2].energy,
		energy_usage =  stacker[2].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
	------------QUANTUM STACKER------------
	{				------NORTH------
		type = "assembling-machine",
		name = stacker.name .. "-3-north",
		icon = "__base__/graphics/icons/assembling-machine-3.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-3-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 3 still north.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {-.01, -.16},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[3].mod,
		energy_source = stacker[3].energy,
		energy_usage =  stacker[3].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------SOUTH------
		type = "assembling-machine",
		name = stacker.name .. "-3-south",
		icon = "__base__/graphics/icons/assembling-machine-3.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-3-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 3 still south.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {0.02, 0.175},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[3].mod,
		energy_source = stacker[3].energy,
		energy_usage =  stacker[3].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------EAST------
		type = "assembling-machine",
		name = stacker.name .. "-3-east",
		icon = "__base__/graphics/icons/assembling-machine-3.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-3-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 3 still east.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {0.11, -0.01},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[3].mod,
		energy_source = stacker[3].energy,
		energy_usage =  stacker[3].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
	
	{				------WEST------
		type = "assembling-machine",
		name = stacker.name .. "-3-west",
		icon = "__base__/graphics/icons/assembling-machine-3.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = stacker.name .. "-3-north"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Stackers__/graphics/stacker/stacker 3 still west.png",
			priority = "high",
			width = 100,
			height = 100,
			frame_count = 1,
			line_length = 1,
			scale = 0.4,
			shift = {-0.15, 0.025},
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = 
			{
				{
					filename = "__base__/sound/assembling-machine-t2-1.ogg",
					volume = 0.8
				},
				{
					filename = "__base__/sound/assembling-machine-t2-2.ogg",
					volume = 0.8
				},
			},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"stacking"},
		crafting_speed = stacker.speed*stacker[3].mod,
		energy_source = stacker[3].energy,
		energy_usage =  stacker[3].energyUse,
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed"}
	},
})