name = "stack-assembler"
iconT1 = "__base__/graphics/icons/assembling-machine-1.png"
iconT2 = "__base__/graphics/icons/assembling-machine-2.png"
iconT3 = "__base__/graphics/icons/assembling-machine-3.png"

data:extend(
{
	------STACKED ITEMS---------------------
	{		------IRON PLATES------
		type = "item",
		name = "stacked-iron-plates",
		icon = "__Stackers__/graphics/icons/stacked-iron-plates.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 100,
	},
	
	{		------COPPER PLATES------
		type = "item",
		name = "stacked-copper-plates",
		icon = "__Stackers__/graphics/icons/stacked-copper-plates.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 100,
	},
	
	{		------STEEL PLATES------
		type = "item",
		name = "stacked-steel-plates",
		icon = "__Stackers__/graphics/icons/stacked-steel-plates.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 100,
	},
	
	{		------IRON ORE------
		type = "item",
		name = "stacked-iron-ore",
		icon = "__Stackers__/graphics/icons/stacked-iron-ore.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 100,
	},
	
	{		------COPPER ORE------
		type = "item",
		name = "stacked-copper-ore",
		icon = "__Stackers__/graphics/icons/stacked-copper-ore.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 100,
	},
	
	{		------COAL------
		type = "item",
		name = "stacked-coal",
		icon = "__Stackers__/graphics/icons/stacked-coal.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 50,
	},
	
	{		------PLASTIC------
		type = "item",
		name = "stacked-plastic",
		icon = "__Stackers__/graphics/icons/stacked-plastic.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 100,
	},
	
	{		------STONE BRICK------
		type = "item",
		name = "stacked-stone-bricks",
		icon = "__Stackers__/graphics/icons/stacked-stone-bricks.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		stack_size = 100,
	},
	
	------STACKERS------
			------BASIC------
	{				------NORTH------
		type = "item",
		name = name .. "-1-north",
		icon = iconT1,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-1-north",
	},
	
	{				------SOUTH------
		type = "item",
		name = "stack-assembler-1-south",
		icon = iconT1,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-1-south",
	},
	
	{				------EAST------
		type = "item",
		name = "stack-assembler-1-east",
		icon = iconT1,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-1-east",
	},
	
	{				------WEST------
		type = "item",
		name = "stack-assembler-1-west",
		icon = iconT1,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-1-west",
	},
			------INDUSTRIAL------
	{				------NORTH------
		type = "item",
		name = "stack-assembler-2-north",
		icon = iconT2,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-2-north",
	},
	
	{				------SOUTH------
		type = "item",
		name = "stack-assembler-2-south",
		icon = iconT2,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-2-south",
	},
	
	{				------EAST------
		type = "item",
		name = "stack-assembler-2-east",
		icon = iconT2,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-2-east",
	},
	
	{				------WEST------
		type = "item",
		name = "stack-assembler-2-west",
		icon = iconT2,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-2-west",
	},
			------QUANTUM------
	{				------NORTH------
		type = "item",
		name = "stack-assembler-3-north",
		icon = iconT3,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-3-north",
	},
	
	{				------SOUTH------
		type = "item",
		name = "stack-assembler-3-south",
		icon = iconT3,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-3-south",
	},
	
	{				------EAST------
		type = "item",
		name = "stack-assembler-3-east",
		icon = iconT3,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-3-east",
	},
	
	{				------WEST------
		type = "item",
		name = "stack-assembler-3-west",
		icon = iconT3,
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		stack_size = 20,
		place_result = "stack-assembler-3-west",
	},
})