craftingtime = 1.25

data:extend(
{
	{
		type = "recipe",
		name = "stack-iron-plates",
		enabled = "true",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"iron-plate",10},
		},
		result = "stacked-iron-plates",
	},
	{
		type = "recipe",
		name = "split-stacked-iron-plates",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-iron-plates",1}
		},
		result = "iron-plate",
		result_count = 10,
	},
	{
		type = "recipe",
		name = "stack-copper-plates",
		enabled = "true",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"copper-plate",10}
		},
		result = "stacked-copper-plates",
	},
	{
		type = "recipe",
		name = "split-stacked-copper-plates",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-copper-plates",1}
		},
		result = "copper-plate",
		result_count = 10,
	},
	{
		type = "recipe",
		name = "stack-steel-plates",
		enabled = "true",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"steel-plate",10}
		},
		result = "stacked-steel-plates",
	},
	{
		type = "recipe",
		name = "split-stacked-steel-plates",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-steel-plates",1}
		},
		result = "steel-plate",
		result_count = 10,
	},
	{
		type = "recipe",
		name = "stack-copper-ore",
		enabled = "true",
		category = "stacking",
		energy_required = creaftingtime,
		ingredients =
		{
			{"copper-ore",10}
		},
		result = "stacked-copper-ore",
	},
	{
		type = "recipe",
		name = "split-stacked-copper-ore",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-copper-ore",1}
		},
		result = "copper-ore",
		result_count = 10,
	},
	{
		type = "recipe",
		name = "stack-iron-ore",
		enabled = "true",
		category = "stacking",
		energy_required = creaftingtime,
		ingredients =
		{
			{"iron-ore",10}
		},
		result = "stacked-iron-ore",
	},
	{
		type = "recipe",
		name = "split-stacked-iron-ore",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-iron-ore",1}
		},
		result = "iron-ore",
		result_count = 10,
	},
	{
		type = "recipe",
		name = "stack-coal",
		enabled = "true",
		category = "stacking",
		energy_required = creaftingtime,
		ingredients =
		{
			{"coal",10}
		},
		result = "stacked-coal",
	},
	{
		type = "recipe",
		name = "split-stacked-coal",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-coal",1}
		},
		result = "coal",
		result_count = 10,
	},
	{
		type = "recipe",
		name = "stack-plastic",
		enabled = "true",
		category = "stacking",
		energy_required = creaftingtime,
		ingredients =
		{
			{"plastic-bar",10}
		},
		result = "stacked-plastic",
	},
	{
		type = "recipe",
		name = "split-stacked-plastic",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-plastic",1}
		},
		result = "plastic-bar",
		result_count = 10,
	},
	{
		type = "recipe",
		name = "stack-stone-bricks",
		enabled = "true",
		category = "stacking",
		energy_required = creaftingtime,
		ingredients =
		{
			{"stone-brick",10}
		},
		result = "stacked-stone-bricks",
	},
	{
		type = "recipe",
		name = "split-stacked-stone-bricks",
		category = "stacking",
		energy_required = craftingtime,
		ingredients =
		{
			{"stacked-stone-bricks",1}
		},
		result = "stone-brick",
		result_count = 10,
	},
	---------STACKERS-----------
	{
		type = "recipe",
		name = "stack-assembler-1",
		enabled = false,
		ingredients =
		{
			{"basic-inserter", 2},
			{"electronic-circuit", 1},
			{"iron-plate", 2},
			{"basic-splitter", 1}
		},
		result = "stack-assembler-1-north",
	},
	{
		type = "recipe",
		name = "stack-assembler-2",
		enabled = false,
		ingredients =
		{
			{"stack-assembler-1-north", 1},
			{"fast-inserter", 2},
			{"advanced-circuit", 1},
			{"steel-plate", 2},
			{"fast-splitter", 1}
		},
		result = "stack-assembler-2-north",
	},
	{
		type = "recipe",
		name = "stack-assembler-3",
		enabled = false,
		ingredients =
		{
			{"stack-assembler-2-north", 1},
			{"smart-inserter", 2},
			{"processing-unit", 1},
			{"plastic-bar", 2},
			{"steel-plate", 2},
			{"express-splitter", 1}
		},
		result = "stack-assembler-3-north",
	},
})