data:extend(
{
	{
		type = "technology",
		name = "logistics",
		icon = "__base__/graphics/technology/logistics.png",
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "basic-transport-belt-to-ground"
			},
			{
				type = "unlock-recipe",
				recipe = "fast-inserter"
			},
			{
				type = "unlock-recipe",
				recipe = "basic-splitter"
			},
			{
				type = "unlock-recipe",
				recipe = "stack-assembler-1"
			}
		},
		unit =
		{
			count = 20,
			ingredients = {{"science-pack-1", 1}},
			time = 15
		},
		order = "a-f-a",
	},
	{
		type = "technology",
		name = "logistics-2",
		icon = "__base__/graphics/technology/logistics.png",
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "fast-transport-belt"
			},
			{
				type = "unlock-recipe",
				recipe = "fast-transport-belt-to-ground"
			},
			{
				type = "unlock-recipe",
				recipe = "fast-splitter"
			},
			{
				type = "unlock-recipe",
				recipe = "stack-assembler-2"
			}
		},
		prerequisites = {"logistics"},
		unit =
		{
			count = 40,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1}
			},
			time = 30
		},
		order = "a-f-b",
	},
	{
		type = "technology",
		name = "logistics-3",
		icon = "__base__/graphics/technology/logistics.png",
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "express-transport-belt"
			},
			{
				type = "unlock-recipe",
				recipe = "express-transport-belt-to-ground"
			},
			{
				type = "unlock-recipe",
				recipe = "express-splitter"
			},
			{
				type = "unlock-recipe",
				recipe = "stack-assembler-3"
			}
		},
		prerequisites = {"logistics-2", "automation-3"},
		unit =
		{
			count = 100,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 15
		},
		order = "a-f-c",
	},
})